using System;
using System.Collections.Generic;
using System.Text;

namespace Orbiter.Interfaces.Templates
{
    public class BaseVesselModule:VesselModule
    {
        #region VesselModule Members

        public virtual IntPtr InitVessel(IntPtr vessel, int flightModel)
        {
            throw new Exception("The method or operation is not implemented.");
        }

        public virtual void ExitVessel(IntPtr vessel){}

        #endregion

        #region Module Members

        public virtual void InitModule(IntPtr nativeDLL){}
        public virtual void ExitModule(IntPtr nativeDLL){}

        #endregion
    }
}
